%define version         2.1.1e
%define cvs_version     2_1_1e
%define spec_version    2_0
%define release         1jpp
%define name            jmf
%define name_ucs        JMF
%define section         non-free
%define archive_name    %{name}-%{cvs_version}-alljava.zip
%define guide_name      %{name}%{spec_version}-guide-html.zip
%define spec_name      %{name}-%{spec_version}-spec.zip
%define toplevel_dir    %{name_ucs}-%{version}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
Summary:        Reference Implementation for %{name}
License:        Sun Binary Code License
Group:          Multimedia/Graphics
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://java.sun.com/products/java-media/jmf/
Source0:        %{archive_name}
NoSource:       0
Source1:        %{guide_name}
NoSource:       1
Source2:        %{spec_name}
NoSource:       2
Requires:       jpackage-utils >= 0:1.5.32
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  jpackage-utils >= 0:1.5.32

%description
The Java Media Framework API (JMF) enables audio, video 
and other time-based media to be added to applications 
and applets built on Java technology. This optional package, 
which can capture, playback, stream, and transcode multiple 
media formats, extends the Java 2 Platform, Standard Edition 
(J2SE) for multimedia developers by providing a powerful 
toolkit to develop scalable, cross-platform technology.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Docs for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.

# -----------------------------------------------------------------------------

%prep
rm -rf $RPM_BUILD_DIR/%{toplevel_dir}

%setup -n %{toplevel_dir}
mkdir guide
pushd guide
unzip -qq %{SOURCE1}
popd
mkdir api
pushd api
unzip -qq %{SOURCE2}
popd
# fix perms
chmod -R go=u-w *
chmod -R u+w *

# -----------------------------------------------------------------------------

%build
# Nope.

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# main files
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
cp -p bin/* $RPM_BUILD_ROOT%{_datadir}/%{name}/bin

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 lib/customizer.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/customizer-%{version}.jar
install -m 644 lib/jmf.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jmf-%{version}.jar
install -m 644 lib/mediaplayer.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/mediaplayer-%{version}.jar
install -m 644 lib/multiplayer.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/multiplayer-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name}
for j in *-%{version}.jar; do ln -sf $j $(echo $j | sed -e 's|-%{version}||'); done
)
install -m 644 lib/jmf.properties $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/jmf.properties
(cd $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf %{_javadir}/%{name}/customizer.jar customizer.jar
ln -sf %{_javadir}/%{name}/jmf.jar jmf.jar
ln -sf %{_javadir}/%{name}/mediaplayer.jar mediaplayer.jar
ln -sf %{_javadir}/%{name}/multiplayer.jar multiplayer.jar
)
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}
cp doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}
# guide
cp -pr guide $RPM_BUILD_ROOT%{_docdir}/%{name}
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}/attributions.html  
%doc %{_docdir}/%{name}/formats.html  
%doc %{_docdir}/%{name}/readme.html  
%attr(755,root,root)                 %{_datadir}/%{name}/bin/*
%{_javadir}/%{name}/*.jar
%{_datadir}/%{name}

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root)
%doc %{_docdir}/%{name}/guide

%changelog

* Mon Jul 18 2005 Ralph Apel <r.apel@r-apel.de> 2.1.1e-1jpp
- First (?) JPackage release
